> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all orders

> Retrieves a paginated list of orders for the application. Supports optional search filtering by order reference or ID.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/orders
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/orders:
    get:
      tags:
        - Orders
      summary: List all orders
      description: >-
        Retrieves a paginated list of orders for the application. Supports
        optional search filtering by order reference or ID.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Items per page
          in: query
          name: per-page
          schema:
            type: integer
            default: 20
        - description: Search query
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: Orders retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseList-array_internal_pkg_webserver_v1_OrderResponse
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseList-array_internal_pkg_webserver_v1_OrderResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.OrderResponse'
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.OrderResponse:
      properties:
        billing_address:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.OrderAddressResponse'
        bonus_total:
          type: number
        country_code:
          type: string
        created_at:
          type: string
        currency_code:
          type: string
        discount_total:
          type: number
        discounts:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.OrderDiscountResponse
          type: array
        gift_card_total:
          type: number
        grand_total:
          type: number
        id:
          type: string
        language_code:
          type: string
        merchant_user:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.MerchantUserSummaryResponse
        order_lines:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.OrderLineResponse'
          type: array
        payment_method:
          type: string
        payment_method_id:
          type: string
        payment_method_name:
          type: string
        reference:
          type: string
        session_id:
          type: string
        shipping_address:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.OrderAddressResponse'
        shipping_methods:
          items:
            type: string
          type: array
        shipping_total:
          type: number
        source:
          type: string
        sub_total:
          type: number
        tax_total:
          type: number
        updated_at:
          type: string
        user_content:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.OrderUserContent'
          type: array
      type: object
    internal_pkg_webserver_v1.OrderAddressResponse:
      properties:
        address_type:
          type: string
        city:
          type: string
        country_code:
          type: string
        created_at:
          type: string
        email:
          type: string
        family_name:
          type: string
        given_name:
          type: string
        id:
          type: string
        postal_code:
          type: string
        state_or_province:
          type: string
        street_address:
          type: string
        street_address_2:
          type: string
        telephone_number:
          type: string
        updated_at:
          type: string
      type: object
    internal_pkg_webserver_v1.OrderDiscountResponse:
      properties:
        created_at:
          type: string
        discount_id:
          type: string
        id:
          type: string
        name:
          type: string
        order_id:
          type: string
        updated_at:
          type: string
      type: object
    internal_pkg_webserver_v1.MerchantUserSummaryResponse:
      properties:
        email:
          type: string
        id:
          type: string
        name:
          type: string
        surname:
          type: string
      type: object
    internal_pkg_webserver_v1.OrderLineResponse:
      properties:
        base_price_amount:
          type: number
        created_at:
          type: string
        currency_code:
          type: string
        first_image_path:
          type: string
        id:
          type: string
        order_id:
          type: string
        product_id:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        quantity:
          type: integer
        short_description:
          type: string
        tax_group_id:
          type: string
        total_discount_amount:
          type: number
        total_price_amount:
          type: number
        total_sale_price:
          type: number
        total_tax_amount:
          type: number
        updated_at:
          type: string
        variant_id:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    internal_pkg_webserver_v1.OrderUserContent:
      properties:
        content_type:
          type: string
        filename:
          type: string
        id:
          type: string
        url:
          type: string
      type: object

````